#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/28 22:06
# @File        : init_bcrypt.py
# @Description :
"""

from flask import Flask
from flask_bcrypt import Bcrypt

bcrypt = Bcrypt()


def init_bcrypt(app: Flask) -> None:
    """
    Initialize the bcrypt extension

    :param app: flask.Flask application instance
    :return: None
    """
    bcrypt.init_app(app)
